Package org.zkoss.stateless.sul

## Enum ILayoutRegion.Border

- java.lang.Object
- - java.lang.Enum<ILayoutRegion.Border>
  - - org.zkoss.stateless.sul.ILayoutRegion.Border

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ILayoutRegion.Border>`
  Enclosing interface:
    ILayoutRegion<I extends ILayoutRegion>

      public static enum ILayoutRegion.Border
      extends java.lang.Enum<ILayoutRegion.Border>

  Specifies the border to `ILayoutRegion` component.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NONE` | None border
    `NORMAL` | The normal border.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ILayoutRegion.Border` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ILayoutRegion.Border[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final ILayoutRegion.Border NORMAL

      The normal border.

    - #### NONE

          public static final ILayoutRegion.Border NONE

      None border

  - ### Method Detail

    - #### values

          public static ILayoutRegion.Border[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ILayoutRegion.Border c : ILayoutRegion.Border.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ILayoutRegion.Border valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null